/*
 * $Id: IllegalConnectorRequestException.java,v 1.1 2005/10/18 06:47:45 windowsnt\martin Exp $
 * 
 * Copyright (C) ITC 2005 - International Institute for Geo-Information Science and Earth Observation
 *    
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package org.n52.connectors.core.exceptions;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;

/**
 * Will be returned if some errors have been detected in the request
 * 
 * @author martin schouwenburg
 *
 */
public class IllegalConnectorRequestException extends N52Exception {
	
	public IllegalConnectorRequestException(String m) {
		super(m);
	}
	

	public IllegalConnectorRequestException(String string, Logger logger, Level error) {
		super(string);
		logger.log(error, string);
	}


	/**
	 * 
	 */
	private static final long serialVersionUID = 7294212715634612823L;

}
